2019-01-22 02:53 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002555NetSurfBeOS-specificpublic2017-10-16 22:37
ReporterPulkoMandy 
Assigned ToDaniel Silverstone 
SeveritymajorReproducibilityalways 
StatusclosedResolutionfixed 
Platformx86OSHaikuOS VersionR1 x86_gcc2
Product Version3.6 
Target VersionFixed in Version3.7 
Summary0002555: "No GC" alert when resizing the window
DescriptionWhen resizing the window on some websites, NetSurf will pop an alert saying "No GC". Dismissing the alert makes it pop again, so the only way to escape is to enter the debugger and kill NetSurf from there.
Steps To ReproduceNavigate to NetSurf homepage, then resize the window.
Additional InformationProblem identified in the BeOS code, with the way it manages its pointer to the native BView (drawing context).

Patch: https://github.com/haikuports/haikuports/blob/master/www-client/netsurf/patches/netsurf-3.6.patchset
TagsNo tags attached.
Fixed in CI build #4174
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0001582

Daniel Silverstone (administrator)

This was resolved in August (21st) sadly I don't know exactly which CI build.
Vincent Sanders

~0001654

Vincent Sanders (administrator)

Thankyou for your report, this has been resolved in the 3.7 release
+Notes

-Issue History
Date Modified Username Field Change
2017-08-19 19:57 PulkoMandy New Issue
2017-09-09 10:14 Daniel Silverstone Assigned To => Daniel Silverstone
2017-09-09 10:14 Daniel Silverstone Status new => resolved
2017-09-09 10:14 Daniel Silverstone Resolution open => fixed
2017-09-09 10:14 Daniel Silverstone Fixed in Version => 3.7
2017-09-09 10:14 Daniel Silverstone Fixed in CI build # => 4174
2017-09-09 10:14 Daniel Silverstone Note Added: 0001582
2017-10-16 22:37 Vincent Sanders Status resolved => closed
2017-10-16 22:37 Vincent Sanders Note Added: 0001654
+Issue History